Bug 547424 - RFE: multipathd configuration should be checked, not enforced
RFE: multipathd configuration should be checked, not enforced
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: 3.3.4
Assigned To: Ayal Baron
storage
: FutureFeature, Improvement
Depends On:
Blocks: 811599
  Show dependency treegraph
 
Reported: 2009-12-14 11:29 EST by Ayal Baron
Modified: 2015-01-24 05:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 811599 (view as bug list)
Environment:
Last Closed: 2013-01-30 17:51:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ayal Baron 2009-12-14 11:29:49 EST
Description of problem:
Currently we enforce multipath configuration to a specific set of params we determined are necessary, this behavior might cause problems if an existing (compliant) configuration is used.
Current solution is to mark the configuration as private but no further checking is done to make sure that the private configuration complies with rhev's requirements.

What we should do is:
a. upon startup, check configuration (e.g. make sure that use_friendly_names=no) and if the configuration is not ok, either enforce it (add relevant params instead of overriding entire conf) or fail on startup (if private flag is marked)

In case of hybrid servers (run both as hypervisor and additional services) this has to be dealt with.
Comment 2 Itamar Heim 2011-11-29 16:02:52 EST
still relevant?
Comment 3 Ayal Baron 2011-12-10 17:29:51 EST
yes
Comment 4 Itamar Heim 2013-01-30 17:51:24 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.